Bug 434271 - compiz failed massrebuild attempt for GCC 4.3
compiz failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 10:54 EST by Jesse Keating
Modified: 2013-01-09 22:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 11:57:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 10:54:40 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=441473
Exit code was 30, check the root.log for the failed buildArch task.
Comment 1 Alex Lancaster 2008-03-23 09:29:20 EDT
Can this be looked at soon and fixed?  Not being able to rebuild is causing
broken deps in the compiz-kde subpackage for weeks:

Broken deps for i386
----------------------------------------------------------
        compiz-kde-0.6.2-6.fc9.i386 requires libkdecorations.so.1
  
I just tried rebuilding:

http://koji.fedoraproject.org/koji/taskinfo?taskID=527233

and it seems to get stuck finding information about kdecoration:

In file included from window.moc.cpp:11:
window.h:27:27: error: kdecoration_p.h: No such file or directory
In file included from window.h:37,
                 from window.moc.cpp:11:
options.h:27:25: error: kdecoration.h: No such file or directory
In file included from decorator.moc.cpp:11:
decorator.h:37:35: error: kdecoration_plugins_p.h: No such file or directory
decorator.h:38:27: error: kdecoration_p.h: No such file or directory

Comment 2 Christopher Aillon 2008-03-26 11:57:28 EDT
subsequently built successfully
http://koji.fedoraproject.org/koji/buildinfo?buildID=43650

Note You need to log in before you can comment on or make changes to this bug.